package com.bonus.canteen.core.menu.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("菜品详情")
public class MenuAllTypeDishesVO {
   @ApiModelProperty("菜品id")
   private Long dishesId;
   @ApiModelProperty("菜品名称")
   private String dishesName;
   @ApiModelProperty("菜品价格")
   private Integer price;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("档口名称")
   private String stallName;
   @ApiModelProperty("区域名称")
   private String areaName;
   @ApiModelProperty("销售方式(1按份,2称重)")
   private Integer salesMode;
   @ApiModelProperty("规格类型(1-标准,2-大小份)")
   private Long sizeType;
   @ApiModelProperty("称重单位多少克(默认1kg)")
   private Integer unitPrice;
   @ApiModelProperty("大份单价")
   private Integer largePrice;
   @ApiModelProperty("小份单价")
   private Integer littlePrice;
   @ApiModelProperty("成本价")
   private Integer materialCost;
   @ApiModelProperty("成本价-小份")
   private Integer littleMaterialCost;
   @ApiModelProperty("菜品编号")
   private String dishesNum;
   @ApiModelProperty("菜品类型")
   private Integer mealType;
   @ApiModelProperty("类别名称")
   private String typeName;
   @ApiModelProperty("类别id")
   private Long typeId;
   @ApiModelProperty("是否是公共菜品(1-是,2-否,)")
   private Integer publicDishes;

   public Long getDishesId() {
      return this.dishesId;
   }

   public String getDishesName() {
      return this.dishesName;
   }

   public Integer getPrice() {
      return this.price;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public String getStallName() {
      return this.stallName;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public Long getSizeType() {
      return this.sizeType;
   }

   public Integer getUnitPrice() {
      return this.unitPrice;
   }

   public Integer getLargePrice() {
      return this.largePrice;
   }

   public Integer getLittlePrice() {
      return this.littlePrice;
   }

   public Integer getMaterialCost() {
      return this.materialCost;
   }

   public Integer getLittleMaterialCost() {
      return this.littleMaterialCost;
   }

   public String getDishesNum() {
      return this.dishesNum;
   }

   public Integer getMealType() {
      return this.mealType;
   }

   public String getTypeName() {
      return this.typeName;
   }

   public Long getTypeId() {
      return this.typeId;
   }

   public Integer getPublicDishes() {
      return this.publicDishes;
   }

   public void setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
   }

   public void setDishesName(final String dishesName) {
      this.dishesName = dishesName;
   }

   public void setPrice(final Integer price) {
      this.price = price;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setStallName(final String stallName) {
      this.stallName = stallName;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

   public void setSizeType(final Long sizeType) {
      this.sizeType = sizeType;
   }

   public void setUnitPrice(final Integer unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setLargePrice(final Integer largePrice) {
      this.largePrice = largePrice;
   }

   public void setLittlePrice(final Integer littlePrice) {
      this.littlePrice = littlePrice;
   }

   public void setMaterialCost(final Integer materialCost) {
      this.materialCost = materialCost;
   }

   public void setLittleMaterialCost(final Integer littleMaterialCost) {
      this.littleMaterialCost = littleMaterialCost;
   }

   public void setDishesNum(final String dishesNum) {
      this.dishesNum = dishesNum;
   }

   public void setMealType(final Integer mealType) {
      this.mealType = mealType;
   }

   public void setTypeName(final String typeName) {
      this.typeName = typeName;
   }

   public void setTypeId(final Long typeId) {
      this.typeId = typeId;
   }

   public void setPublicDishes(final Integer publicDishes) {
      this.publicDishes = publicDishes;
   }
}
